## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate siguldry

Name:           rust-siguldry
Version:        0.3.1
Release:        %autorelease
Summary:        Implementation of the Sigul protocol

License:        MIT
URL:            https://crates.io/crates/siguldry
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * The binary is incomplete and may change its interface significantly
# * Relax base64ct dev-dependency to allow all 1.x versions
Patch:          siguldry-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
An implementation of the Sigul protocol.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/
%exclude %{crate_instdir}/src/serdes/serde.py

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * Integration tests require the network
%cargo_test -- --lib
%cargo_test -- --doc
%cargo_test -- --bins
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jul 20 2025 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-3
- Relax base64ct dev-dependency to allow all 1.x versions

* Thu Jun 12 2025 Jeremy Cline <jeremycline@linux.microsoft.com> - 0.3.1-2
- Skip integration tests that require network services

* Thu Jun 12 2025 Jeremy Cline <jeremycline@linux.microsoft.com> - 0.3.1-1
- Update to v0.3.1

* Thu Jun 12 2025 Jeremy Cline <jeremycline@linux.microsoft.com> - 0.3.0-1
- Update to v0.3.0

* Fri Mar 14 2025 Jeremy Cline <jeremycline@linux.microsoft.com> - 0.2.0-1
- Initial import (rhbz #2352566)
## END: Generated by rpmautospec
